Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(36)

Issue 645123003: Do no AppCache responses with SSL cert errors. (Closed)

Created:
5 years ago by michaeln
Modified:
4 years, 11 months ago
CC:
chromium-reviews, darin-cc_chromium.org, jam
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Do not AppCache responses with SSL cert errors. BUG=414026 Committed: https://crrev.com/3ec982d993b769efc893d4f3a0fa28eea95b69d0 Cr-Commit-Position: refs/heads/master@{#299999}

Patch Set 1 #

Total comments: 8

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+37 lines, -33 lines) Patch
M content/browser/appcache/appcache_update_job.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/browser/appcache/appcache_update_job.cc View 1 2 1 chunk +35 lines, -32 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 26 (5 generated)
michaeln
ptal
5 years ago (2014-10-10 22:15:52 UTC) #2
palmer
Thank you! This is so much better than my attempt to solve this bug. I ...
5 years ago (2014-10-10 23:48:11 UTC) #3
palmer
https://codereview.chromium.org/645123003/diff/1/content/browser/appcache/appcache_update_job.cc File content/browser/appcache/appcache_update_job.cc (right): https://codereview.chromium.org/645123003/diff/1/content/browser/appcache/appcache_update_job.cc#newcode185 content/browser/appcache/appcache_update_job.cc:185: if (net::IsCertStatusError(request->ssl_info().cert_status)) { Lines 186 – 190 duplicate lines ...
5 years ago (2014-10-10 23:50:32 UTC) #4
palmer
Also typo in the commit message: "Do not cache AppCache responses..."
5 years ago (2014-10-10 23:50:59 UTC) #5
palmer
Also typo in the commit message: "Do not cache AppCache responses..."
5 years ago (2014-10-10 23:51:00 UTC) #6
Ryan Sleevi
LGTM, but style nits https://codereview.chromium.org/645123003/diff/1/content/browser/appcache/appcache_update_job.cc File content/browser/appcache/appcache_update_job.cc (right): https://codereview.chromium.org/645123003/diff/1/content/browser/appcache/appcache_update_job.cc#newcode164 content/browser/appcache/appcache_update_job.cc:164: unnecessary newline? https://codereview.chromium.org/645123003/diff/1/content/browser/appcache/appcache_update_job.cc#newcode212 content/browser/appcache/appcache_update_job.cc:212: OnResponseCompleted(); ...
5 years ago (2014-10-11 00:54:44 UTC) #7
michaeln
https://codereview.chromium.org/645123003/diff/1/content/browser/appcache/appcache_update_job.cc File content/browser/appcache/appcache_update_job.cc (right): https://codereview.chromium.org/645123003/diff/1/content/browser/appcache/appcache_update_job.cc#newcode164 content/browser/appcache/appcache_update_job.cc:164: On 2014/10/11 00:54:44, Ryan Sleevi wrote: > unnecessary newline? ...
5 years ago (2014-10-15 19:20:22 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/645123003/140001
5 years ago (2014-10-16 20:36:36 UTC) #10
michaeln
@isherman for metrics OWNER review
5 years ago (2014-10-16 21:25:53 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: android_dbg_tests_recipe on tryserver.chromium.linux (http://build.chromium.org/p/tryserver.chromium.linux/builders/android_dbg_tests_recipe/builds/19059) chromium_presubmit on tryserver.chromium.linux (http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/18159)
5 years ago (2014-10-16 21:37:25 UTC) #14
Ilya Sherman
histograms LGTM
5 years ago (2014-10-16 21:51:34 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/645123003/140001
5 years ago (2014-10-16 21:56:01 UTC) #17
commit-bot: I haz the power
Committed patchset #4 (id:140001)
5 years ago (2014-10-16 22:53:19 UTC) #18
commit-bot: I haz the power
Patchset 4 (id:??) landed as https://crrev.com/3ec982d993b769efc893d4f3a0fa28eea95b69d0 Cr-Commit-Position: refs/heads/master@{#299999}
5 years ago (2014-10-16 22:54:43 UTC) #19
cbiesinger
It looks like this broke a blink layout test: http/tests/appcache/different-https-origin-resource-main.html https://storage.googleapis.com/chromium-layout-test-archives/WebKit_Win7/21651/layout-test-results/results.html
5 years ago (2014-10-17 00:03:03 UTC) #20
cbiesinger
It looks like this broke a blink layout test: http/tests/appcache/different-https-origin-resource-main.html https://storage.googleapis.com/chromium-layout-test-archives/WebKit_Win7/21651/layout-test-results/results.html
5 years ago (2014-10-17 00:03:04 UTC) #21
michaeln
On 2014/10/17 00:03:04, cbiesinger wrote: > It looks like this broke a blink layout test: ...
5 years ago (2014-10-17 01:36:28 UTC) #22
Ryan Sleevi
On 2014/10/17 01:36:28, michaeln wrote: > On 2014/10/17 00:03:04, cbiesinger wrote: > > It looks ...
5 years ago (2014-10-17 01:50:08 UTC) #23
michaeln1
> Is it some Blink test server? The one in //net properly masks off all ...
5 years ago (2014-10-17 19:32:09 UTC) #24
michaeln
On 2014/10/17 19:32:09, michaeln1 wrote: > > Is it some Blink test server? The one ...
4 years, 11 months ago (2014-10-23 21:10:35 UTC) #25
Ryan Sleevi
4 years, 11 months ago (2014-10-23 21:14:30 UTC) #26
Message was sent while issue was closed.
On 2014/10/23 21:10:35, michaeln wrote:
> On 2014/10/17 19:32:09, michaeln1 wrote:
> > > Is it some Blink test server? The one in //net properly masks off all
> errors.
> > 
> > Apache is used for layout tests. I see broken lock icons and
> > NET::ERR_CERT_AUTHORITY_INVALID when running it locally.
> 
> horo found more magic,
net::HttpNetworkSession::Params.ignore_certificate_errors

You shouldn't be respecting that. We can follow-up with a meeting if needed.

Powered by Google App Engine
This is Rietveld 408576698